package com.qmth.jkserver.enums;

/**
 * @Description: 自定义异常消息枚举
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/10/11
 */
public enum ExceptionResultEnum {
    /**
     * 系统预置
     */
    UNKONW_ERROR(500, "未知错误:请联系管理员"),

    EXCEPTION_ERROR(500, "系统异常:请联系管理员"),

    SUCCESS(200, "成功"),

    ERROR(500, "失败"),

    SQL_ERROR(500, "sql异常:"),

    INVOCATIONTARGET_ERROR(500, "反射异常:"),

    SERVICE_NOT_FOUND(500, "服务器错误");

    private int code;
    private String message;

    ExceptionResultEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}